#include "lameencoder.h"
#include "fillplugins.h"
#include <plugin.h>

static std::vector<CodecInfo> s_plugin_props;

extern "C" int GetPluginVersion() {return PLUGIN_API_VERSION;}

extern "C" const std::vector<CodecInfo>& RegisterPlugin()
{
    if(!s_plugin_props.size())
	libmp3lamebin_FillPlugins(s_plugin_props);
    return s_plugin_props;
}

extern "C" IAudioEncoder* CreateAudioEncoder(const CodecInfo& info, int fourcc, WAVEFORMATEX* fmt)
{
    return new LameEncoder(info, fmt);
}
